<?php
    if(isset($_POST['title']) and isset($_POST['date']) and isset($_POST['contents'])) {
        $xml = simplexml_load_file(GSPLUGINPATH.'/calendar/example.xml');
        $xml->title = $_POST['title'];
        $date = explode('-', $_POST['date']);
        $xml->date = $date[0].$date[1].$date[2];
        $xml->contents = $_POST['contents'];
        $file = $_POST['title'];
        $file = stripslashes($file);
        $file = to7bit($file, 'UFT-8');
        $file = clean_url($file);
        XMLsave($xml, GSDATAOTHERPATH.'/calendar/'.$file.'.xml');
        $_GET['edit'] = $file;
    }

    if(!empty($_GET['edit'])) {
        $xml = simplexml_load_file(GSDATAOTHERPATH.'/calendar/'.$_GET['edit'].'.xml');
        $file = explode('.', $file);
        $file = $file[0];
        $title = $xml->title;
        $date = $xml->date;
        $dateYear = substr($date, 4, 7);
        $dateMonth = substr($date, 2, 2);
        $dateDay = substr($date, 0, 2);
        $date = $dateDay.'-'.$dateMonth.'-'.$dateYear;
        $contents = $xml->contents;
    }
?>
<form action="load.php?id=calendar&edit=<?php echo $_GET['edit']; ?>" method="POST">
    <p>
        <label><?php i18n('calendar/title'); ?>:</label>
        <input class="text short" type="text" name="title" value="<?php echo $title; ?>" style="width: 250px;" />
    </p>
    <p>
        <label><?php i18n('calendar/date'); ?>:</label>
            <link type="text/css" href="../plugins/calendar/css/jquery-ui-1.8.17.custom.css" rel="stylesheet" />	
            <script type="text/javascript" src="../plugins/calendar/js/jquery-ui-1.8.17.custom.min.js"></script>
            <script type="text/javascript">
                $(function(){
                    // Datepicker
                    $('#datepicker').datepicker({
                        inline: true,
                        dateFormat: 'dd-mm-yy',
                        firstDay: 1,
                        nextText: '<?php i18n('calendar/next'); ?>',
                        prevText: '<?php i18n('calendar/prev'); ?>',
                        dayNames: ['<?php i18n('calendar/Sunday'); ?>', '<?php i18n('calendar/Monday'); ?>', '<?php i18n('calendar/Tuesday'); ?>', '<?php i18n('calendar/Wednesday'); ?>', '<?php i18n('calendar/Thursday'); ?>', '<?php i18n('calendar/Friday'); ?>', '<?php i18n('calendar/Saturday'); ?>'],
                        dayNamesShort: ['<?php i18n('calendar/Su'); ?>', '<?php i18n('calendar/Mo'); ?>', '<?php i18n('calendar/Tu'); ?>', '<?php i18n('calendar/We'); ?>', '<?php i18n('calendar/Th'); ?>', '<?php i18n('calendar/Fr'); ?>', '<?php i18n('calendar/Sa'); ?>'],
                        dayNamesMin: ['<?php i18n('calendar/Su'); ?>', '<?php i18n('calendar/Mo'); ?>', '<?php i18n('calendar/Tu'); ?>', '<?php i18n('calendar/We'); ?>', '<?php i18n('calendar/Th'); ?>', '<?php i18n('calendar/Fr'); ?>', '<?php i18n('calendar/Sa'); ?>'],
                        monthNames: ['<?php i18n('calendar/January'); ?>', '<?php i18n('calendar/February'); ?>', '<?php i18n('calendar/March'); ?>', '<?php i18n('calendar/April'); ?>', '<?php i18n('calendar/May'); ?>', '<?php i18n('calendar/June'); ?>', '<?php i18n('calendar/July'); ?>', '<?php i18n('calendar/August'); ?>', '<?php i18n('calendar/September'); ?>', '<?php i18n('calendar/October'); ?>', '<?php i18n('calendar/November'); ?>', '<?php i18n('calendar/December'); ?>']
                    });
                });
            </script>
        <input class="text short" id="datepicker" type="text" name="date" value="<?php echo $date; ?>" style="width: 150px;" maxlength="10" />
    </p>
    <p>
        <label><?php i18n('calendar/contents'); ?>:</label>
        <script type="text/javascript" src="template/js/ckeditor/ckeditor.js"></script>
	<script type="text/javascript" src="template/js/ckeditor/adapters/jquery.js"></script>
	<script type="text/javascript">
	var editor;
	$(
        function() {
                $("input.delete").click(
                    function(e) {
                        if(!confirm('Are you sure you wish to delete this event?'))
                        {
                            e.preventDefault();
                        }
                    }
                );
                var $event_content = $("textarea[name='contents']");
                if($event_content.length > 0)
                {
                    editor = $event_content.ckeditor(function(){},
                        {
                            skin : 'getsimple',
                            forcePasteAsPlainText : true,
                            language : 'en',
                            defaultLanguage : 'en',
                            entities : true,
                            uiColor : '#FFFFFF',
                            height: '250px',
                            toolbar : [['Bold', 'Italic', 'Underline', 'NumberedList', 'BulletedList', 'JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock', 'Link', 'Unlink', 'Image', 'RemoveFormat', 'Source']]
                        }
                    ).ckeditorGet();
                }
            }
	)
	</script> 
        <textarea name="contents" id="post-content"><?php echo $contents; ?></textarea>
    </p>
    <input type="submit" class="submit" value="<?php i18n('calendar/save'); ?>" /> <?php i18n('calendar/or'); ?> <a class="cancel" href="load.php?id=calendar&delete=<?php echo $_GET['edit']; ?>" title="<?php i18n('calendar/event_delete'); ?>: <?php echo $_GET['edit']; ?>"><?php i18n('calendar/delete'); ?></a>
</form>